Skip to main content
POST
/
v1
/
relay
/
credentials
Create Credential
curl --request POST \
  --url https://api.selcor.ai/v1/relay/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Dentrix Main",
  "platform": "dentrix",
  "login_url": "https://app.dentrix.com/login",
  "username": "<string>",
  "password": "<string>",
  "totp_secret": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "label": "<string>",
    "platform": "<string>",
    "login_url": "<string>",
    "username": "<string>",
    "verified": true,
    "created_at": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Body

application/json
label
string
required
Required string length: 1 - 255
Example:

"Dentrix Main"

platform
string
required
Required string length: 1 - 100
Example:

"dentrix"

login_url
string<uri>
required
Example:

"https://app.dentrix.com/login"

username
string
required
Required string length: 1 - 255
password
string
required
Minimum string length: 1
totp_secret
string

Response

201 - application/json

Credential created

data
object
required
request_id
string
required